Bug 668542

Summary: Review Request: php-pChart - A PHP class to build charts.
Product: [Fedora] Fedora Reporter: Jeffrey Ness <jeffrey.ness>
Component: Package ReviewAssignee: Jochen Schmitt <jochen>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, jochen, notting, pahan
Target Milestone: ---Flags: jochen: fedora‑review?
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-03-15 15:24:18 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Jeffrey Ness 2011-01-10 13:50:52 EST
Hello,

This is my first package and I will need sponsorship, I am wanting to get this
package added to EPEL 4 & 5.

The package started in Bugzilla #549590, but as David Nalley suggested was
created here as I am taking over the build.

I have successfully built this RPM on mock using fedora-14-i386 configuration,
below you can see the rpmlints:

$ rpmlint SPECS/php-pChart.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint /var/lib/mock/fedora-14-i386/result/php-pChart-1.27-5.fc14.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

---
Spec URL: http://flip-edesign.com/source/php-pChart/php-pChart.spec
SRPM URL:
http://flip-edesign.com/source/php-pChart/php-pChart-1.27-5.fc14.src.rpm
Description: pChart is a PHP class oriented framework designed to create
aliased charts.
Comment 1 Jochen Schmitt 2011-01-11 13:11:45 EST
Good:
+ Base name of the SPEC files matches to package name.
+ Package fullfill naming guidelines
+ Package is build for noarch
+ Package cleans the buildroot in the %clean and %install section
+ Package contains no subpackages


Bad:
- This is not the most current release. On upstream I have found a note about the release of 1.27c
- I would make the removement of the CRs in the example file into a loop.
- Why to you refer to %{_datadir}/doc/%{name} directory in the %doc stanza
- Please create a separate font package, because yoyur package contains fonts
- Package contains no verbatin copy of the license text. Please contact upstream for including on to the upstream distributation.
Comment 2 Jeffrey Ness 2011-01-11 14:02:04 EST
Hello Jochen,

Thanks for your time, below I addressed your recommendations above:

- This is not the most current release. On upstream I have found a note about
the release of 1.27c

  SOURCE/generate-tarball.sh script does pull the latest version (1.27d), I have updated the SPEC to reflect this (http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Package_Versioning)

- I would make the removement of the CRs in the example file into a loop.

  I now call all Example files as Example*.php

- Why to you refer to %{_datadir}/doc/%{name} directory in the %doc stanza

  This has been changed to Example*.php

- Please create a separate font package, because yoyur package contains fonts

  The SPEC file removes the fonts as it is not required (not licensed properly), any TrueType font can be used (such as liberation-fonts).

- Package contains no verbatin copy of the license text. Please contact
upstream for including on to the upstream distributation.

  Notified upstream:
  https://sourceforge.net/projects/pchart/forums/forum/822589/topic/3943092/index/page/1

---

Spec URL: http://flip-edesign.com/source/php-pChart/php-pChart.spec
SRPM URL: http://flip-edesign.com/source/php-pChart/php-pChart-1.27d-5.fc14.src.rpm
Comment 3 Jochen Schmitt 2011-01-12 11:33:43 EST
You told, that the fonts are not license properly? In this case you should repackage the source tar ball after removing the Fonts directory.
Comment 4 Jeffrey Ness 2011-01-12 12:44:00 EST
Hello Jochen,

I have spoke in #fedora-devel and do see where you are going with this (the Fonts are not licensed properly for GPL and should not exisit in the Source Tarball).

I went ahead and modified the generate-tarball.sh and had it remove the Fonts from source:
http://flip-edesign.com/source/php-pChart/generate-tarball.sh
--

Spec URL: http://flip-edesign.com/source/php-pChart/php-pChart.spec
SRPM URL: http://flip-edesign.com/source/php-pChart/php-pChart-1.27d-7.src.rpm
Comment 5 Jochen Schmitt 2011-01-31 12:25:12 EST
Sorry for my delay. 

Unfortunately I have an addtional complaint:

If you are repackageing the source tar ball to avoid the distributation of not properly licensed content, you should not specified a full-quallified URL in the source tag. You should specified only the name of the generated tar ball to document, that you have take it not on an official distributation place.
Comment 6 Jeffrey Ness 2011-01-31 12:55:35 EST
Hello Jochen,

Thanks for your time, however it seems the creator of pChart has just released version 2.0:

http://www.pchart.net/download

Being this version is now in tar format we can avoid all the issues with generating a tar format, when I get a chance I'm going to test out this software and package the latest version if acceptable.

Jeffrey-
Comment 7 Jeffrey Ness 2011-03-15 15:24:18 EDT
It seems at the moment I have lost all time for developing the application that relies on pchart.

I'm going to close this bug as I am unsure if I will make any progress.